Page MenuHomePhabricator

Deploy Growth features on English Wikipedia
Closed, ResolvedPublicJun 7 2021

Description

This task to coordinate the trial of Growth team tools at English Wikipedia. Current discussions plan to start deploying to 2% of new accounts (2,600 accounts per month). The trial would run for one month.

First, we deploy in dark mode, so that community members can try the features.

Help panel

Help pagesDescriptionLink
Manual of styleHow to write a good articlehttps://en.wikipedia.org/wiki/Help:Introduction to the Manual of Style/1
Help:EditingHow to edit a pagehttps://en.wikipedia.org/wiki/Help:Introduction_to_editing_with_VisualEditor/1
Inserting images (using the visual editor)How to add an imagehttps://en.wikipedia.org/wiki/Help:Introduction_to_images_with_VisualEditor/1
Inserting references (using the visual editor)How to edit a citationhttps://en.wikipedia.org/wiki/Help:Introduction_to_referencing_with_VisualEditor/1
Article WizardHow to create a new articlehttps://en.wikipedia.org/wiki/Wikipedia:Article_wizard

Mentorship module

Suggested edits

Suggested edits are based on these 5 task-types.
At the moment, they can't be substituted.
Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Deployment notes

Phrase 1: Deploy to 2 % of newcomers

On June 07, Growth team features should be deployed to 2% of English Wikipedia newcomers. This means:

  • Homepage/help panel will be available to 2% of users
  • Welcome survey will be shown to 2% of users
  • Welcome survey will be shown to the same group of people as the homepage (same 2% group)
  • Add a link will not be enabled

Related Objects

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMay 4 2021, 4:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 684988 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Enable Growth features on enwiki in the dark mode

https://gerrit.wikimedia.org/r/684988

This may be appropriate for a User-notice or a similar FYI at WP:VPT (since user notice is all wikis I guess).

This may be appropriate for a User-notice or a similar FYI at WP:VPT (since user notice is all wikis I guess).

Of course, we plan to inform the wiki more broadly. this task has been created after getting an agreement at https://en.wikipedia.org/wiki/Wikipedia_talk:Growth_Team_features, which includes posting announcements at the right places. Feel free to join!

Like you said, User-notice is too broad (targets all wikis) and won't be used for this.

kostajh triaged this task as Medium priority.May 4 2021, 7:05 PM
kostajh moved this task from Inbox to Upcoming Work on the Growth-Team board.

Mentioned in SAL (#wikimedia-operations) [2021-05-04T23:26:31Z] <Urbanecm> Create tables for GrowthExperiments extension on enwiki (T281896)

Change 684988 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Growth features on enwiki in the dark mode

https://gerrit.wikimedia.org/r/684988

Change 685140 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth features: enwiki: Fix help panel links

https://gerrit.wikimedia.org/r/685140

Change 685140 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth features: enwiki: Fix help panel links

https://gerrit.wikimedia.org/r/685140

Urbanecm_WMF added a subscriber: Urbanecm_WMF.

@Trizek-WMF The wiki was just pushed to the dark mode.

Mentioned in SAL (#wikimedia-operations) [2021-05-04T23:38:42Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: d29dbb2f435afe64f2fee15b430ee04d5d13c8d7: Enable Growth features on enwiki in the dark mode (T281896; 1/3) (duration: 01m 09s)

Mentioned in SAL (#wikimedia-operations) [2021-05-04T23:40:16Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: d29dbb2f435afe64f2fee15b430ee04d5d13c8d7: Enable Growth features on enwiki in the dark mode (T281896; 2/3) (duration: 01m 09s)

Mentioned in SAL (#wikimedia-operations) [2021-05-04T23:41:38Z] <urbanecm@deploy1002> Synchronized wmf-config/config/enwiki.yaml: d29dbb2f435afe64f2fee15b430ee04d5d13c8d7: Enable Growth features on enwiki in the dark mode (T281896; 3/3) (duration: 01m 09s)

Change 685143 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth: enwiki: Add list of mentors

https://gerrit.wikimedia.org/r/685143

Change 685143 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth: enwiki: Add list of mentors

https://gerrit.wikimedia.org/r/685143

Mentioned in SAL (#wikimedia-operations) [2021-05-05T00:08:38Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 3f6ea8c0e5a4dc667969f5847207902727625bbe: Growth: enwiki: Add list of mentors (T281896) (duration: 01m 10s)

Hi Growth Team! Following up from on-wiki discussion here, I would suggest a few initial changes:

  1. Replace the "how to create a new article" link, which currently goes to the superseded old version of the article wizard, with a link to Help:Your first article (a messy page that needs some streamlining but is the most appropriate target) or at least to the modern wizard.
  2. Replace the "how to write a good article" link, which currently goes to the comprehensive but not beginner-friendly full MOS, with Help:Introduction to the Manual of Style/1 or a similar page. It should also probably not be listed first—experienced editors can pretty easily fix style mistakes, whereas other beginner mistakes are more costly.
  3. In the fifth panel of the "find references" quick start tips, replace "Reliable sources include books, news organizations, and magazine articles" with "Reliable sources include reputable books, news organizations, and magazine articles". The addition of the word "reputable" communicates that not all news organizations/etc. are reliable.

Thank you for your feedback, @Sdkb.

  1. Replace the "how to create a new article" link, which currently goes to the superseded old version of the article wizard, with a link to Help:Your first article (a messy page that needs some streamlining but is the most appropriate target) or at least to the modern wizard.

Should a messy page replace a step by step process? From a newcomer point of view, a long page won't be read, I'm afraid.

  1. Replace the "how to write a good article" link, which currently goes to the comprehensive but not beginner-friendly full MOS, with Help:Introduction to the Manual of Style/1 or a similar page. It should also probably not be listed first—experienced editors can pretty easily fix style mistakes, whereas other beginner mistakes are more costly.

Let's go with Help:Introduction to the Manual of Style/1. :)

  1. In the fifth panel of the "find references" quick start tips, replace "Reliable sources include books, news organizations, and magazine articles" with "Reliable sources include reputable books, news organizations, and magazine articles". The addition of the word "reputable" communicates that not all news organizations/etc. are reliable.

We designed the features for mid-sized Wikipedias. On some of these wikis, the idea of providing references is not as developed as it can be on bigger Wikipedias. Adding a source is a first step. Having it as being "reputable" is one step forward. Also, not everyone agrees on what is a "reputable source". I regularly notice it as a volunteer mentor at French Wikipedia. I'm tracking this potential change there: T282548: Highlight the fact that source must be "reputable".

@Urbanecm_WMF, can you change the Manual of style link in the help panel?
"How to write a good article" should go to https://en.wikipedia.org/wiki/Help:Introduction_to_the_Manual_of_Style/1

Change 689069 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] enwiki: Growth features: Change help panel links

https://gerrit.wikimedia.org/r/689069

Change 689069 merged by jenkins-bot:

[operations/mediawiki-config@master] enwiki: Growth features: Change help panel links

https://gerrit.wikimedia.org/r/689069

Mentioned in SAL (#wikimedia-operations) [2021-05-11T13:47:36Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 1d4d00798bb24daa4e5b81b6c2ecda6143a6c6f0: enwiki: Growth features: Change help panel links (T281896) (duration: 01m 02s)

@Urbanecm_WMF, can you change the Manual of style link in the help panel?
"How to write a good article" should go to https://en.wikipedia.org/wiki/Help:Introduction_to_the_Manual_of_Style/1

Just did that. Let me know if there's anything else to change.

Using https://en.wikipedia.org/wiki/Wikipedia:Article_wizard rather than [[Help:Your first article]] would be fine for the present. The eventualist in me looks to H:YFA as what should ultimately become the most appropriate target, but the wizard does link there which is probably enough.

Change 689878 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] enwiki: Growth features: Change help panel links

https://gerrit.wikimedia.org/r/689878

Change 689878 merged by jenkins-bot:

[operations/mediawiki-config@master] enwiki: Growth features: Change help panel links

https://gerrit.wikimedia.org/r/689878

Mentioned in SAL (#wikimedia-operations) [2021-05-12T18:05:38Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 11defd4181103598222df34d9f1aa6dc428f66cd: enwiki: Growth features: Change help panel links (T281896) (duration: 01m 23s)

@Trizek-WMF Apparently I forgot to press submit, sorry. This was done yesterday.

@Urbanecm_WMF -- we're going to start the test on English Wikipedia to 2% of newcomers on June 7. This should not include "add a link".

@Urbanecm_WMF -- we're going to start the test on English Wikipedia to 2% of newcomers on June 7. This should not include "add a link".

Thanks for the info @MMiller_WMF. I'll prepare a patch.

I see that @Krinkle from Performance-Team marked T283221 as a blocker. Could it be clarified if T283221 should indeed be considered blocking this deployment? @Krinkle Note the extension is already enabled at enwiki (merely not yet available to newcomers). AFAIK, that means the modules are registered, but not used (for most users).

@Urbanecm_WMF -- we're going to start the test on English Wikipedia to 2% of newcomers on June 7. This should not include "add a link".

Based on off-Phab conversation with @MMiller_WMF, the percentage should be 2% for the welcome survey as well (we normally deploy welcomesurvey to 100% of users rather than 80%).

Change 698552 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Set WelcomeSurveyEnableWithHomepage

https://gerrit.wikimedia.org/r/698552

Change 698555 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] enwiki: Deploy Growth freatures to 2% of new accounts

https://gerrit.wikimedia.org/r/698555

Change 698552 merged by jenkins-bot:

[operations/mediawiki-config@master] Set WelcomeSurveyEnableWithHomepage

https://gerrit.wikimedia.org/r/698552

Mentioned in SAL (#wikimedia-operations) [2021-06-07T18:04:08Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 5de2f8b27b016a2cd8f424d8e40318edde5e5704: Set WelcomeSurveyEnableWithHomepage (T281896, T284257) (duration: 00m 59s)

Change 698555 merged by jenkins-bot:

[operations/mediawiki-config@master] enwiki: Deploy Growth freatures to 2% of new accounts

https://gerrit.wikimedia.org/r/698555

Mentioned in SAL (#wikimedia-operations) [2021-06-08T11:05:57Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: abd401074247d1f1dd2722c2d4d06747b066d547: enwiki: Deploy Growth freatures to 2% of new accounts (T281896) (duration: 00m 57s)

@MMiller_WMF The experiment was just started. Moving to "Available to newcomers" and "QA".

Etonkovidova added a subscriber: Etonkovidova.

QA is done - no open issues/questions. Closing as Resolved.